Skip to content

Search Peppol participants

GET
/api/v1/tenants/{tenant_id}/workspaces/{workspace_id}/directory/search

Search for Peppol participants in the directory.

query
Any of:
string

Search by name, tax ID, or participant ID

country_code
Any of:
string
<= 2 characters
page
Page
integer
default: 1 >= 1
page_size
Page Size
integer
default: 20 >= 1 <= 100
X-Workspace-ID
Any of:
string
X-API-Key
Any of:
string

Successful Response

Examples

200 response example

{
"status": "ok",
"message": "Request completed successfully."
}

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examples

422 response example

{
"detail": [
{
"loc": [],
"msg": "string",
"type": "string"
}
]
}